curl --request GET \
--url https://api.onvy.health/users/{user_id}/ai/summaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onvy.health/users/{user_id}/ai/summaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onvy.health/users/{user_id}/ai/summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summaries": [
{
"id": "<string>",
"name": "WorkoutSummary",
"user_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period": {
"type": "activity",
"id": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"duration_seconds": 123
},
"data": {},
"llm_output": {
"language": "<string>",
"title": "<string>",
"text": "<string>",
"followup_questions": [
"<string>"
]
},
"providers": [
"GARMIN"
],
"is_custom": true,
"ref": "<string>",
"knowledge_urls": [
{
"title": "<string>",
"url": "<string>"
}
],
"user_comment": "<string>",
"user_rating": -1,
"llm_debug": {
"model": "<string>",
"prompt_id": "<string>",
"org_prompt_id": "<string>"
}
}
],
"pagination": {
"limit": 500,
"total": 1,
"page": "<string>",
"next_page": "<string>"
}
}{
"error": "<string>"
}List AI summaries
List AI-generated summaries for a user. Filter by name to scope
to a specific summary type (MealSummary, WorkoutSummary,
MindfulsessionSummary, SleepSummary, DailySummary,
DailyNutritionSummary, WeeklySummary, WeeklyActivitySummary,
WeeklyNutritionSummary, TrendSummary, ImpactSummary).
AI summaries are how ONVY exposes domain-specific insights such as
meal nutrition analysis, sleep insights, and weekly trends. Most
summary types are system-generated as the underlying data lands;
only MealSummary is also customer-creatable through POST on
this collection.
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Query Parameters
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Filter by summary name
WorkoutSummary, MindfulsessionSummary, MealSummary, SleepSummary, DailySummary, WeeklySummary, TrendSummary, ImpactSummary, WeeklyActivitySummary, DailyNutritionSummary, WeeklyNutritionSummary Page Key for pagination
Number of items per page
1 <= x <= 1000Was this page helpful?